<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 08/25/2003 *
 * ===============                              Last change: 11/23/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : index.php                                        *
 * -------------------------------------------------------------------- *
 * Short description : Index page. A simple redirection to modules.php  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Index-Seite. Eine simple Weiterleitung auf die   *
 *           modules.php                                                *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here (Oh, I hope this is not unsecure? Am I paranoia??? ;-) )
require_once("inc/libs/security_functions.php");

// Init "action" and "what"
global $what, $action;
$GLOBALS['what'] = ""; $GLOBALS['action'] = "";
if (!empty($_GET['action'])) $GLOBALS['action'] = secureString($_GET['action']);
if (!empty($_GET['what'])) $GLOBALS['what'] = secureString($_GET['what']);

// Set module
$GLOBALS['module'] = "index";

// Load config.php
require ("inc/config.php");

// Is the script installed?
if (defined('mxchange_installed') && (mxchange_installed))
{
	// Header
	require(PATH."inc/header.php");

	// Check for cookies
	if (empty($_COOKIE['visited']) || ($CONFIG['index_delay'] == 0) || ($CONFIG['index_cookie'] == 0))
	{
		if ($CONFIG['index_cookie'] > 0)
		{
			// Set cookie and remeber it for specified time
			@setcookie("visited", "true", (time() + $CONFIG['index_cookie']), COOKIE_PATH);
		}
		 elseif (!empty($_COOKIE['visited']))
		{
			// Remove cookie when admin set 0 in setup
			@setcookie("visited", "", (time() - 3600), COOKIE_PATH);
		}

		// Template laden
		LOAD_TEMPLATE("index", false, ADD_URL_DATA(""));

		// Shall I insert an automated forward?
		if ($CONFIG['index_delay'] > 0)
		{
			// This will be a JavaScript-redirect!
			define('__DELAY_VALUE', ($CONFIG['index_delay'] * 1000 + 500));
			define('__MOD_VALUE'  , ADD_URL_DATA("index"));
			LOAD_TEMPLATE("index_forward");
		}
	}
	 else
	{
		// Redirect to main page
		LOAD_URL(URL."/modules.php?module=index");
	}

	// Footer
	require(PATH."inc/footer.php");
}
 else
{
	// You have to configure first!
	LOAD_URL("install.php");
}
// All done here...
?>
